import QtQuick 2.0
Rectangle {
    id: button
    width: 180; height: 100; radius: 10
    color: "#707070"

    property alias text: label.text
    signal clicked

    Text { id: label; text: "Start"; anchors.centerIn: parent}

    MouseArea { id: mouseArea; anchors.fill: parent; onClicked: button.clicked()}

    Rectangle {
        id: shade
        anchors.fill: parent; radius: parent.radius; color: "black"; opacity: 0
    }

    states: State {
        name: "pressed"; when: mouseArea.pressed == true
        PropertyChanges { target:shade; opacity:0.4}
    }
}
